<?php
/**
 * @package pm
 * @version $Id: index.php,v 1.1.2.4.2.1 2006/09/28 05:04:21 minahito Exp $
 */

require_once "../../mainfile.php";
require_once XOOPS_ROOT_PATH . "/header.php";
require_once XOOPS_MODULE_PATH . "/pm/class/ActionFrame.class.php";

$root =& XCube_Root::getSingleton();

$actionName = isset($_GET['action']) ? trim($_GET['action']) : "default";

$moduleRunner =& new Pm_ActionFrame(false);
$moduleRunner->setActionName($actionName);

$root->mController->mExecute->add(array(&$moduleRunner, 'execute'));

$root->mController->execute();

require_once XOOPS_ROOT_PATH . "/footer.php";

?>
